<?php
/*
	Sistema de Portales de Soler y Palau SA de CV
	(2018) Desarrollos y Servicios en Tecnología Inteligente S de RL de CV
	Versión 1.0
	Última Actualización: 27/12/2020
	Código del Módulo: GAS002
*/

$strModulo = 'HYC002';

$_SESSION['GBL_PERFIL_ACTUAL'] = 'ADMINISTRADOR';
$strEsp = true;
$bolMultiPerfil = false;
$strPerfilUsuario = 'SUPERVISOR';
$_SESSION['GBL_USUARIO'] = 10;

//require_once('shared/conexionBaseDatos.php');
//require_once('shared/encriptacion.php');
//require_once('shared/iniciaSesion.php');
//require_once('shared/funciones.php');
// Para acceder a esta página el usuario debe tener un login válido
//require_once('shared/sesionIniciada.php');

// Determina si el usuario tiene múltiples perfiles
/*$arrPerfiles = json_decode($_SESSION['GBL_PERFILES'],true);
$intPerfiles = 0;
foreach($arrPerfiles as $perfil) { if($perfil['IDPORTAL']=='GAS') { $intPerfiles++; } }
if($intPerfiles>1) { $bolMultiPerfil = true; } else { $bolMultiPerfil = false; }

// Para Usuario Especial
$strIDUsuario = trim($_SESSION['GBL_DINUM']);
$gstEsp = oci_parse($conBaseDatos, 'SELECT USAD FROM ITT_GAS_CONF WHERE USAD=:USAD');
oci_bind_by_name($gstEsp, ':USAD', $strIDUsuario);
if (oci_execute($gstEsp)) {
    while ($rowEsp = oci_fetch_array($gstEsp, OCI_ASSOC + OCI_RETURN_NULLS)) {
        $idEsp = $rowEsp['USAD'];
    }
} else {
    $bolError = true;
    $rErrorDescripcion = 'Ocurrió un error al consultar los datos de la tabla ITT_GAS_CONF.';
}
if(!empty($idEsp)){
    $strEsp = true;
}else{
    $strEsp = false;
}
if($strEsp == true){
    $bolMultiPerfil = true;
    // Buscamos el perfil de cada Usuario
    $strUsuario = trim($_SESSION['GBL_USUARIO']);
    $gstPerf = oci_parse($conBaseDatos, "SELECT IDUSUARIO, IDPERFIL, IDPORTAL  FROM ITT_USUARIOS_PERFILES WHERE IDPORTAL='GAS' AND IDUSUARIO=:IDUSUARIO ");
    oci_bind_by_name($gstPerf, ':IDUSUARIO', $strUsuario);
    if (oci_execute($gstPerf)) {
        while ($rowPerf = oci_fetch_array($gstPerf, OCI_ASSOC + OCI_RETURN_NULLS)) {
            $strPerfilUsuario = $rowPerf['IDPERFIL'];
        }
    } else {
        $bolError = true;
        $rErrorDescripcion = 'Ocurrió un error al consultar los datos de la tabla ITT_USUARIOS_PERFILES.';
    }
}*/

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="imagetoolbar" content="no" />
    <link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Poppins:400,500,700,300,600">
    <link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Open+Sans">
    <link media="screen" rel="stylesheet" type="text/css" href="css/principal.css" />
    <link rel="shortcut icon" type="image/x-icon" href="css/layout/global/sp.ico" />
    <script src="//ajax.googleapis.com/ajax/libs/dojo/1.10.4/dojo/dojo.js" data-dojo-config="async: true, parseOnLoad:true"></script>
    <script src='https://cdnjs.cloudflare.com/ajax/libs/jquery/2.2.2/jquery.min.js'></script>
    <script>require(["dojo/dom", "dojo/_base/fx", "dojo/query", "dojo/dom-construct", "dojo/dom-class", "dijit/registry", "dojo/dom-style",
                "dojo/ready", "dojo/on", "dojo/window"],
            function(dom, fx, query, domConstruct, domClass, dijit, style, ready, on, win) {
                cerrarModulos = function(modulo){
                    query(".menuPrimero").forEach(function(nodePadre,indexPadre,nodelistPadre) {
                        var idElemento = nodePadre.id;

                        if(idElemento != modulo){
                            if (domClass.contains(idElemento, "menu_perfil_linea")){
                                domClass.remove(idElemento, "menuExtendido");
                                domClass.add(idElemento, "menuCompacto");
                            }else if(domClass.contains(idElemento, "menu_perfil_linea_segundo")){
                                domClass.remove(idElemento, "menuExtendidoSegundo");
                                domClass.add(idElemento, "menuCompactoSegundo");
                            }
                            if(dom.byId(idElemento)){
                                query("."+idElemento).forEach(function(node,index,nodelist) { style.set(node.id, {display:"none"}); });
                            }
                        }
                    });
                };

                cerrarSubModulos = function(modulo){
                    query(".menu_perfil_linea_segundo").forEach(function(nodePadre,indexPadre,nodelistPadre) {
                        var idElemento = nodePadre.id;
                        if(idElemento != modulo){
                            if (domClass.contains(idElemento, "menuPrimero")){
                                domClass.remove(idElemento, "menuExtendidoSegundo");
                                domClass.add(idElemento, "menuCompactoSegundo");
                            }
                            if(dom.byId(idElemento)){
                                query("."+idElemento).forEach(function(node,index,nodelist) { style.set(node.id, {display:"none"}); });
                            }
                        }
                    });
                };

                abrirCerrarModulo = function(modulo){
                    // Módulos Principales
                    if (domClass.contains(modulo, "menuExtendido")){
                        // Cerrar Módulo
                        domClass.remove(modulo, "menuExtendido");
                        domClass.add(modulo, "menuCompacto");
                        cerrarModulos("TODOS");
                    }else if(domClass.contains(modulo, "menuCompacto")){
                        // Abrir Módulo
                        domClass.remove(modulo, "menuCompacto");
                        domClass.add(modulo, "menuExtendido");
                        cerrarModulos(modulo);
                        query("."+modulo).forEach(function(node,index,nodelist) { style.set(node.id, {display:"block"}); });
                    }

                    // Sub-Módulos
                    if (domClass.contains(modulo, "menuExtendidoSegundo")){
                        // Cerrar Módulo
                        domClass.remove(modulo, "menuExtendidoSegundo");
                        domClass.add(modulo, "menuCompactoSegundo");
                        cerrarSubModulos("TODOS");
                    }else if(domClass.contains(modulo, "menuCompactoSegundo")){
                        // Abrir Módulo
                        domClass.remove(modulo, "menuCompactoSegundo");
                        domClass.add(modulo, "menuExtendidoSegundo");
                        cerrarSubModulos(modulo);
                        query("."+modulo).forEach(function(node,index,nodelist) { style.set(node.id, {display:"block"}); });
                    }
                };

                ready(function() {
                    cerrarModulos("");
                    // Modificar estilos dependiendo de la existencia de scroll
                    if($('#bodyScroller').hasScrollBar() == true){
                        $('#menu_perfil_normal').css('width', '155px');
                        $('#menu_perfil').css('width', '155px');
                    }else{
                        $('#menu_perfil_normal').css('width', '175px');
                        $('#menu_perfil').css('width', '175px');
                    }
                    on(window, "resize", function() {
                        if($('#bodyScroller').hasScrollBar() == true){
                            $('#menu_perfil_normal').css('width', '155px');
                            $('#menu_perfil').css('width', '155px');
                        }else{
                            $('#menu_perfil_normal').css('width', '175px');
                            $('#menu_perfil').css('width', '175px');
                        }
                    });

                });
            });
        function actualizaModulo(id, up) {
            window.parent.frames.app_modulo.location.href = id;
            if (typeof up === 'undefined') { up = false; }
            if(up==true) { setTimeout(function(){ location.reload(); },1000); }
        }

        // Función para detectar la existencia de scrool en un elemento
        (function($) {
            $.fn.hasScrollBar = function() { return this.get(0).scrollHeight > this.height(); }
        })(jQuery);

    </script>
</head>
<body id="bodyScroller">
<div id="menu_encabezado">
    <span id="HYC"></span>
</div>
<?php if(!empty($_SESSION['GBL_PERFIL_ACTUAL'])) { ?>
    <div id="menu_perfil">
        <div id="menu_perfil_linea" class="sombra menuPerfil">
            <table width="100%" height="100%">
                <tr height="100%">
                    <td width="40px" height="100%"><strong>Perfil:</strong></td>
                    <?php if($strEsp == true){ ?>
                        <td height="100%"><?php echo($strPerfilUsuario); ?></td>
                    <?php }else{ ?>
                        <td height="100%"><?php echo(substr($_SESSION['GBL_PERFIL_ACTUAL'],4)); ?></td>
                    <?php } ?>
                </tr>
            </table>
        </div>
        <div id="menu_perfil_linea" class="sombra menuPerfil">
            <table width="100%" height="100%">
                <tr height="100%">
                    <td width="40px" height="100%"><strong>Usuario:</strong></td>
                    <td height="100%"><?php echo($_SESSION['GBL_USUARIO']); ?></td>
                </tr>
            </table>
        </div>
    </div>
    <div id="menu_perfil" class="opciones">
        <?php if($bolMultiPerfil==true) { ?>
            <div class="menu_perfil_linea noShadow menuSegundo" onclick="actualizaModulo('HYC001.php',true)">Cambiar Perfil</div>
        <?php } ?>

        <!--<div class="menu_perfil_linea noShadow menuSegundo" onclick="actualizaModulo('plantillaEjemplo.php')">Plantilla Ejemplo</div>
        <div class="menu_perfil_linea noShadow menuSegundo" onclick="actualizaModulo('panelControl.php')">Panel de Control</div>-->

        <div id="PC" class="menu_perfil_linea noShadow menuPrimero menuExtendido" onclick="abrirCerrarModulo(this.id)">Paneles de Control</div>
        <div id="PC1" class="menu_perfil_linea noShadow menuSegundo PC" onclick="actualizaModulo('indicadores.php')">Indicadores</div>
        <div id="PC2" class="menu_perfil_linea noShadow menuSegundo PC" onclick="actualizaModulo('energia.php')">Energía</div>

        <div id="PS" class="menu_perfil_linea noShadow menuPrimero menuExtendido" onclick="abrirCerrarModulo(this.id)">Planta S&P</div>
        <div id="PS1" class="menu_perfil_linea noShadow menuSegundo PS" onclick="actualizaModulo('centroTrabajo.php')">Centro de Trabajo</div>
        <div id="PS2" class="menu_perfil_linea noShadow menuSegundo PS" onclick="actualizaModulo('maquinaria.php')">Maquinaria</div>

        <div id="MT" class="menu_perfil_linea noShadow menuPrimero menuExtendido" onclick="abrirCerrarModulo(this.id)">Mantenimiento</div>
        <div id="MT1" class="menu_perfil_linea noShadow menuSegundo MT" onclick="actualizaModulo('mantoPreventivo.php')">Mantenimiento Preventivo</div>
        <div id="MT2" class="menu_perfil_linea noShadow menuSegundo MT" onclick="actualizaModulo('bitacorasDeMantenimiento.php')">Órdenes de Mantenimiento</div>
        <div id="MT3" class="menu_perfil_linea noShadow menuSegundo MT" onclick="actualizaModulo('refacciones.php')">Refacciones</div>
        <div id="MT4" class="menu_perfil_linea noShadow menuSegundo MT" onclick="actualizaModulo('docElectronicos.php')">Documentos Electrónicos</div>

    </div>
<?php } ?>
</body>
</html>
